diff -u -ru .zfs/snapshot/2010-01-16/www/privoxy/Makefile www/privoxy/Makefile
--- .zfs/snapshot/2010-01-16/www/privoxy/Makefile	2009-08-28 16:37:18.110567404 +0200
+++ www/privoxy/Makefile	2010-02-20 17:36:23.270817100 +0100
@@ -6,8 +6,8 @@
 #
 
 PORTNAME=	privoxy
-PORTVERSION=	3.0.12
-CATEGORIES=	www
+PORTVERSION=	3.0.16
+CATEGORIES=	www ipv6
 MASTER_SITES=	SF/ijbswa/Sources/${PORTVERSION}%20%28stable%29
 DISTNAME=	privoxy-${PORTVERSION}-stable-src
 
@@ -35,27 +35,41 @@
 CONFIGURE_ENV=	LDFLAGS=-L${LOCALBASE}/lib \
 		CPPFLAGS=-I${LOCALBASE}/include/
 
-OPTIONS=	FORCE "Allows to optionally bypass blocks" On \
-		TOGGLE "Support for remote toggling" On \
+OPTIONS=	ACCEPT_FILTER "Enable support for accf_http(9)" Off \
+		DEBUG "Build with debugging symbols" Off \
 		EDITOR "Allow to enable the webbased action editor" On \
-		DEBUG "Build with debugging symbols" Off
+		FORCE "Allows to optionally bypass blocks" On \
+		PRIVOXY_TOOLS "Install Privoxy-Log-Parser, uagen etc." Off \
+		TOGGLE "Support for remote toggling" On
 
 .include <bsd.port.pre.mk>
 
-.if defined(WITHOUT_FORCE)
-CONFIGURE_ARGS+=	--disable-force
+.if defined(WITH_ACCEPT_FILTER)
+CONFIGURE_ARGS+=	 --enable-accept-filter
 .endif
 
-.if defined(WITHOUT_TOGGLE)
-CONFIGURE_ARGS+=	--disable-toggle
+.if defined(WITH_DEBUG)
+CONFIGURE_ARGS+=	--with-debug
 .endif
 
 .if defined(WITHOUT_EDITOR)
 CONFIGURE_ARGS+=	--disable-editor
 .endif
 
-.if defined(WITH_DEBUG)
-CONFIGURE_ARGS+=	--with-debug
+.if defined(WITHOUT_FORCE)
+CONFIGURE_ARGS+=	--disable-force
+.endif
+
+.if defined(WITHOUT_TOGGLE)
+CONFIGURE_ARGS+=	--disable-toggle
+.endif
+
+.if defined(WITH_PRIVOXY_TOOLS)
+USE_PERL5_RUN=	yes
+RUN_DEPENDS+=	curl.5:${PORTSDIR}/ftp/curl
+PLIST_SUB+=	PRIVOXY_TOOLS=""
+.else
+PLIST_SUB+=	PRIVOXY_TOOLS="@comment "
 .endif
 
 post-patch:
@@ -68,8 +82,12 @@
 	${REINPLACE_CMD} \
 		-e 's,^#\(user-manual\) http://www.privoxy.org/user-manual/,\1 ${DOCSDIR}/user-manual,' \
 	${WRKSRC}/config
-
 .endif
+	${REINPLACE_CMD} \
+		-e 's,\(/etc/privoxy\),${PREFIX}\1,' ${WRKSRC}/tools/uagen.pl
+# Effectivly apply revision 1.208 to fix a regression test.
+	${REINPLACE_CMD} \
+		-e 's,\(-fast-redirects -hide-refer\),\1r,' ${WRKSRC}/default.action.master
 
 pre-configure:
 	@cd ${WRKSRC}; ${AUTOHEADER}
@@ -82,7 +100,12 @@
 	@${MKDIR} ${PREFIX}/etc/privoxy/templates
 	@${INSTALL_PROGRAM} ${WRKSRC}/privoxy ${PREFIX}/sbin
 	@${INSTALL_DATA} ${WRKSRC}/templates/[a-z]* ${PREFIX}/etc/privoxy/templates
-.for defaultfile in default.action default.filter
+.if defined(WITH_PRIVOXY_TOOLS)
+.for privoxy_tool in privoxy-log-parser.pl privoxy-regression-test.pl uagen.pl
+	@${INSTALL_SCRIPT} ${WRKSRC}/tools/${privoxy_tool} ${PREFIX}/bin
+.endfor
+.endif
+.for defaultfile in default.action default.filter regression-tests.action
 	@${INSTALL_DATA} ${WRKSRC}/${defaultfile} ${PREFIX}/etc/privoxy
 	@${CHOWN} privoxy:privoxy ${PREFIX}/etc/privoxy/${defaultfile}
 	@${CHMOD} 0444 ${PREFIX}/etc/privoxy/${defaultfile}
@@ -101,9 +124,6 @@
 .endif
 
 post-install:
-	@${MKDIR} /var/log/privoxy
-	@${CHOWN} privoxy:privoxy /var/log/privoxy
-	@${CHMOD} 0750 /var/log/privoxy
 	@${MKDIR} /var/run/privoxy
 	@${CHOWN} privoxy:privoxy /var/run/privoxy
 	@${CHMOD} 0750 /var/run/privoxy
diff -u -ru .zfs/snapshot/2010-01-16/www/privoxy/distinfo www/privoxy/distinfo
--- .zfs/snapshot/2010-01-16/www/privoxy/distinfo	2009-03-22 16:59:27.172348514 +0100
+++ www/privoxy/distinfo	2010-02-19 23:48:16.907740786 +0100
@@ -1,3 +1,3 @@
-MD5 (privoxy-3.0.12-stable-src.tar.gz) = c973e608d27b248ef567b47664308da1
-SHA256 (privoxy-3.0.12-stable-src.tar.gz) = c910da7fdd51dc197b7cd6695555c7dd0124b8fc44cb03d1fc645d72438dcf9a
-SIZE (privoxy-3.0.12-stable-src.tar.gz) = 1811124
+MD5 (privoxy-3.0.16-stable-src.tar.gz) = 64d3ffcdf8307e04a375773bb4eb255e
+SHA256 (privoxy-3.0.16-stable-src.tar.gz) = 7df74e33cf9263cb8153e5746e4ad09bf82d7c43d175511bb79056b8a4fafee6
+SIZE (privoxy-3.0.16-stable-src.tar.gz) = 1656721
diff -u -ru .zfs/snapshot/2010-01-16/www/privoxy/files/pkg-message.in www/privoxy/files/pkg-message.in
--- .zfs/snapshot/2010-01-16/www/privoxy/files/pkg-message.in	2009-02-25 17:31:09.078767081 +0100
+++ www/privoxy/files/pkg-message.in	2010-02-19 23:43:39.827705754 +0100
@@ -19,9 +19,9 @@
   changing them you should use your own action and
   filter files as described in Privoxy's manual.
 
-  If you installed Privoxy as package and are using the
-  default configuration, you have to make sure the
-  directories /var/log/privoxy and /var/run/privoxy
-  exist and are owned by privoxy:privoxy.
+  If you installed Privoxy as package and are using
+  the default configuration, you have to make sure
+  the directory /var/run/privoxy exists and is owned
+  by privoxy:privoxy.
 
 ***********************************************************
diff -u -ru .zfs/snapshot/2010-01-16/www/privoxy/files/privoxy.in www/privoxy/files/privoxy.in
--- .zfs/snapshot/2010-01-16/www/privoxy/files/privoxy.in	2009-07-18 16:40:40.437740212 +0200
+++ www/privoxy/files/privoxy.in	2010-02-19 23:43:25.384704199 +0100
@@ -30,6 +30,7 @@
 
 : ${privoxy_enable="NO"}
 : ${privoxy_config="%%PREFIX%%/etc/privoxy/config"}
+: ${privoxy_logdir="/var/log/privoxy"}
 : ${privoxy_user="privoxy"}
 : ${privoxy_pidfile="/var/run/privoxy/privoxy.pid"}
 
@@ -45,6 +46,12 @@
         cp %%PREFIX%%/share/examples/privoxy/match-all.action ${actionfile}
         chown ${privoxy_user}:${privoxy_user} ${actionfile}
     fi
+    if [ ! -e ${privoxy_logdir} ]; then
+        echo ${privoxy_logdir} not found. Creating ...
+        mkdir ${privoxy_logdir}
+        chown ${privoxy_user}:${privoxy_user} ${privoxy_logdir}
+        chmod 0750 ${privoxy_logdir}
+    fi
 }
 
 start_precmd="config_file_check"
diff -u -ru .zfs/snapshot/2010-01-16/www/privoxy/pkg-plist www/privoxy/pkg-plist
--- .zfs/snapshot/2010-01-16/www/privoxy/pkg-plist	2009-02-25 17:31:09.109758966 +0100
+++ www/privoxy/pkg-plist	2010-02-20 15:20:32.413945905 +0100
@@ -1,6 +1,10 @@
+%%PRIVOXY_TOOLS%%bin/privoxy-log-parser.pl
+%%PRIVOXY_TOOLS%%bin/privoxy-regression-test.pl
+%%PRIVOXY_TOOLS%%bin/uagen.pl
 sbin/privoxy
 etc/privoxy/default.action
 etc/privoxy/default.filter
+etc/privoxy/regression-tests.action
 etc/privoxy/templates/blocked
 etc/privoxy/templates/cgi-error-404
 etc/privoxy/templates/cgi-error-bad-param
@@ -11,6 +15,7 @@
 etc/privoxy/templates/cgi-error-parse
 etc/privoxy/templates/cgi-style.css
 etc/privoxy/templates/connect-failed
+etc/privoxy/templates/connection-timeout
 etc/privoxy/templates/default
 etc/privoxy/templates/edit-actions-add-url-form
 etc/privoxy/templates/edit-actions-for-url
@@ -26,6 +31,7 @@
 etc/privoxy/templates/mod-support-and-service
 etc/privoxy/templates/mod-title
 etc/privoxy/templates/mod-unstable-warning
+etc/privoxy/templates/no-server-data
 etc/privoxy/templates/no-such-domain
 etc/privoxy/templates/show-request
 etc/privoxy/templates/show-status
@@ -54,7 +60,6 @@
 %%PORTDOCS%%%%DOCSDIR%%/user-manual/seealso.html
 %%PORTDOCS%%%%DOCSDIR%%/user-manual/startup.html
 %%PORTDOCS%%%%DOCSDIR%%/user-manual/templates.html
-%%PORTDOCS%%%%DOCSDIR%%/user-manual/upgradersnote.html
 %%PORTDOCS%%%%DOCSDIR%%/user-manual/whatsnew.html
 %%EXAMPLESDIR%%/config
 %%EXAMPLESDIR%%/match-all.action
